Bug 31729 - WebInspector: Re-enabling timeline-paint test for GTK+ port
Summary: WebInspector: Re-enabling timeline-paint test for GTK+ port
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Linux
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-11-20 10:29 PST by Eric Ayers
Modified: 2009-12-10 05:55 PST (History)
8 users (show)

See Also:


Attachments
WebInpsector: patch to re-enable inpsector/timeline-paint.html test (2.35 KB, patch)
2009-11-20 10:36 PST, Eric Ayers
eric: review+
Details | Formatted Diff | Diff
WebInpsector: patch to re-enable inpsector/timeline-paint.html test (2.16 KB, patch)
2009-12-02 11:43 PST, Eric Ayers
gns: review+
commit-queue: commit-queue-
Details | Formatted Diff | Diff
Web Inspector: fixes inspector/timeline-paint layout test for GTK+ (2.25 KB, patch)
2009-12-10 05:18 PST, Eric Ayers
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Ayers 2009-11-20 10:29:25 PST
With this change, the timeline-paint.html test should work on the GTK+ port.  This patch is similar to what was done for the Windows port to enable the layoutTestController.display() method to force a paint.
Comment 1 Eric Ayers 2009-11-20 10:36:02 PST
Created attachment 43594 [details]
WebInpsector: patch to re-enable inpsector/timeline-paint.html test

To be consistent with the Windows port, maybe we should also call displayWebView in dump().  There is a comment in dump() about that, but it seems to be somewhat obsolete (and in the wrong place)
Comment 2 Eric Seidel (no email) 2009-11-26 21:46:29 PST
This makes sense to me, but actual GTK hackers should at least see this go by.
Comment 3 Eric Ayers 2009-12-02 11:43:28 PST
Created attachment 44168 [details]
WebInpsector: patch to re-enable inpsector/timeline-paint.html test

Re-implements the paint using gtk_widget_queue_draw() on just the webView widget instead of the entire window.
Comment 4 Gustavo Noronha (kov) 2009-12-02 11:46:07 PST
Comment on attachment 44168 [details]
WebInpsector: patch to re-enable inpsector/timeline-paint.html test

Thank you very much for the patch!
Comment 5 WebKit Commit Bot 2009-12-02 15:14:55 PST
Comment on attachment 44168 [details]
WebInpsector: patch to re-enable inpsector/timeline-paint.html test

Rejecting patch 44168 from commit-queue.

Failed to run "['git', 'svn', 'dcommit']" exit_code: 1
Last 500 characters of output:
Tools/DumpRenderTree/gtk/DumpRenderTree.cpp
A repository hook failed: MERGE request failed on '/repository/webkit/trunk': Commit blocked by pre-commit hook (exit code 1) with output:
svnlook: Can't write to stream: Broken pipe

    The following files contain tab characters:

        trunk/WebKitTools/ChangeLog

    Please use spaces instead to indent.
    If you must commit a file with tabs, use svn propset to set the "allow-tabs" property.
 at /usr/local/git/libexec/git-core/git-svn line 558
Comment 6 Eric Seidel (no email) 2009-12-02 15:19:13 PST
Something really should have caught this earlier, sorry.  bug 32039 is one example.
Comment 7 Eric Seidel (no email) 2009-12-09 14:53:22 PST
This requires an updated patch if it's going to be landed by the commit-bot.  Otherwise someone can land it by hand after fixing the tab.
Comment 8 Eric Ayers 2009-12-09 15:07:50 PST
Sorry, I've been busy with the Speed Tracer launch.  I'll submit a new patch soon.
Comment 9 Eric Ayers 2009-12-10 05:18:10 PST
Created attachment 44607 [details]
Web Inspector: fixes inspector/timeline-paint layout test for GTK+

removes extraneous tab
Comment 10 WebKit Review Bot 2009-12-10 05:20:58 PST
style-queue ran check-webkit-style on attachment 44607 [details] without any errors.
Comment 11 WebKit Commit Bot 2009-12-10 05:55:44 PST
Comment on attachment 44607 [details]
Web Inspector: fixes inspector/timeline-paint layout test for GTK+

Clearing flags on attachment: 44607

Committed r51947: <http://trac.webkit.org/changeset/51947>
Comment 12 WebKit Commit Bot 2009-12-10 05:55:50 PST
All reviewed patches have been landed.  Closing bug.